package cn.unitid.spiderid.detection;


import androidx.multidex.MultiDexApplication;
import cn.unitid.liveness.ActionConfig;
import cn.unitid.liveness.IdentityVerificationSdk;
import cn.unitid.liveness.platform.LivenessTypeEnum;
import cn.unitid.liveness.platform.listener.IInitCallback;
import cn.unitid.liveness.utils.LogUtils;


/**
 * @author Elven(Shiyz)
 * @date Create on: 2017/9/28
 * @version [V1.0.0]
 * @desc
 */

public class MyApplication extends MultiDexApplication {

    private static final String TAG = MyApplication.class.getSimpleName();
    private static MyApplication instance;

    public static MyApplication getContext(){
        return instance;
    }

    @Override
    public void onCreate() {
        super.onCreate();
        instance = this;
        initLib();
    }

    /**
     * 初始化活体检测SDK
     */
    private void initLib() {
        // SDK初始化
        IdentityVerificationSdk.initializeSDK(this, UnitidFaceConfig.licenseID,
                UnitidFaceConfig.licenseFileName, new IInitCallback() {
                    @Override
                    public void initSuccess() {
                        LogUtils.i(TAG, "初始化成功");
                    }

                    @Override
                    public void initFailure(int i, String s) {
                        LogUtils.e(TAG, "初始化失败 = "+s+" "+s);
                    }
                });
        // 配置活体采集的动作，默认动作是眨眼
        ActionConfig.setAction(LivenessTypeEnum.Eye);
    }

}
