package cn.unitid.spiderid.detection.view;

import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import cn.unitid.spiderid.detection.R;

/**
 * @author : Shiyaozu(Elven)
 * @version : V1.0
 * @date : 2017/12/14
 * @Desc: 关于
 */

public class AboutActivity extends AppCompatActivity implements View.OnClickListener {

    private TextView appVersionName;
    private TextView mCopyright;
    private TextView mAppIntroduce;
    private TextView backTV;
    private TextView titleTV;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_about);
        appVersionName = findViewById(R.id.app_version_name);
        mCopyright = findViewById(R.id.tv_copyright);
        mAppIntroduce = findViewById(R.id.app_introduce);
        backTV = findViewById(R.id.back_tv);
        titleTV = findViewById(R.id.title_tv);
        initData();
        initListeners();
    }

    public void initListeners() {
        mCopyright.setOnClickListener(this);
        backTV.setOnClickListener(this);
    }

    public void initData() {
        titleTV.setText(getName());
        appVersionName.setText(getLocalVersionName(this));
    }

    public String getName() {
        return getString(R.string.string_about);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.tv_copyright:
                // 调用默认浏览器打开网页
                Intent intent = new Intent();
                String url = getString(R.string.string_company_url);
                intent.setAction("android.intent.action.VIEW");
                Uri content_url = Uri.parse(url);
                intent.setData(content_url);
                startActivity(intent);
                break;
            case R.id.back_tv:
                finish();
                break;
        }
    }

    /**
     * 获取本地软件版本号名称
     */
    private static String getLocalVersionName(Context ctx) {
        String localVersion = "";
        try {
            PackageInfo packageInfo = ctx.getApplicationContext().getPackageManager()
                    .getPackageInfo(ctx.getPackageName(), 0);
            localVersion = packageInfo.versionName;
            Log.d("TAG", "本软件的版本号。。" + localVersion);
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
        return localVersion;
    }
}
